org.eclipse.debug.core.commands

## Interface IStepFiltersHandler

All Superinterfaces:
  IDebugCommandHandler

    public interface IStepFiltersHandler
    extends IDebugCommandHandler

A step filters handler typically toggles the use of step filters in a debug session based on the user preference setting. To determine if step filters should be enabled use the method `isUseStepFilters()` in `DebugPlugin`.

Clients may implement this interface. The debug platform provides a toggle step filters action that delegates to this handler interface. As well, the debug platform provides an implementation of the step filters handler registered as an adapter on objects that implement `IStepFilters`.

Since:
  3.3

### Method Summary

### Methods inherited from interface org.eclipse.debug.core.commands.IDebugCommandHandler

`canExecute, execute`